## org.eclipse.jet.core.parser
Interface ITemplateResolverHelper

    public interface ITemplateResolverHelper

Protocal for template resolver that is responsible for resolving templates from a single base location which is communicated to the helper on creation. Helpers are called by `DefaultTemplateResolver` implementations.

See Also:
  `ITemplateResolverHelperFactory`

Method Summary
`ITemplateInput` `createTemplateInput(java.lang.String templatePath)` Create a template input for the given templatePath.
`boolean` `inputExists(java.lang.String templatePath)` Test if templatePath exists

Method Detail

### inputExists

    boolean inputExists(java.lang.String templatePath)

  Test if templatePath exists

  Parameters:
    `templatePath` - a template Path
  Returns:
    `true`

### createTemplateInput

    ITemplateInput createTemplateInput(java.lang.String templatePath)

  Create a template input for the given templatePath. The templatePath will have been valided with `inputExists(String)` prior to calling this method

  Parameters:
    `templatePath` - a template path
  Returns:
    the template input object

Copyright 2006 IBM Corporation and others. All Rights Reserved.